View Issue Details

IDProjectCategoryView StatusLast Update
0006478MediaMonkey (current)Codecpublic2011-08-09 01:11
Reporterpeke 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.2 
Target VersionFixed in Version4.0 
Summary0006478: OGG: Multichannel OGG file Crashes MM
DescriptionWhen Multichannel OGG file is played MM do not play and skips it.

To crash MM follow these steps:
0. Restart MM
1. Clear now playing
2. Add Multichannel OGG to now playing
3. Add to Now playing at least 100 to ensure that MM crash
4. Double click on OGG file (it will skip to next track)
5. If next track starts to play repeat step 4 until MM starts to skip all tracks and proceed to step 6
6. Leave MM skipping tracks until MM debug dialog shows (usually after 10-15 skipped tracks, sometimes it just keeps skipping tracks)

Example File Uploaded to FTP
TagsNo tags attached.
Fixed in build1378

Relationships

related to 0006447 closedmichal 6ch FLAC and WAVs are not playable in MM 
related to 0006609 closedmichal Bad handling of multichannel audio, especially in conversions 
related to 0003362 closedmichal Support multichannel tracks 

Activities

Ludek

2010-09-16 13:10

developer   ~0020533

Last edited: 2010-09-16 13:10

View 2 revisions

Tested in Win XP by using out_MMDS.dll output plugin and it doesn't crash, but the channels are in wrong order (instead of "Back Left" is "Back Right", instead of "Front Right" is "Center").

peke

2010-09-16 21:45

developer   ~0020539

I noticed that Channels are in different order than usual. Haven't checked multichannel OGG format but it looks that they are sorted this way: 1 FRONT LEFT, 2 CENTER, 3 FRONT RIGHT, 4 BACK LEFT, 5 BACK RIGHT, 6 SUB WOOFER
Instead of 1 FRONT LEFT, 2 FRONT RIGHT, 3 CENTER, 4 SUB WOOFER, 5 BACK LEFT, 6 BACK RIGHT like it is in other formats.

michal

2011-05-20 11:34

developer   ~0025516

Do you reproduce it yet?
I confirm wrong order of channels.

jiri

2011-05-20 13:35

administrator   ~0025522

I think that it would make sense to reorder channels in ogg plug-in, in order to make it consistent.

michal

2011-05-20 16:49

developer   ~0025533

Channel order fixed in 1378. I did not reproduce the crash, please retest it.

peke

2011-08-09 01:11

developer   ~0027112

Verified 1415